Expired subscriptions
curl --request GET \
--url https://api.ofauth.com/v3/access/subscriptions/expired \
--header 'Authorization: Bearer <token>' \
--header 'x-linked-account-id: <api-key>'import requests
url = "https://api.ofauth.com/v3/access/subscriptions/expired"
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-linked-account-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ofauth.com/v3/access/subscriptions/expired', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/subscriptions/expired",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/subscriptions/expired"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ofauth.com/v3/access/subscriptions/expired")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/subscriptions/expired")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"avatar": "<string>",
"avatarThumbs": {
"c144": "<string>",
"c50": "<string>"
},
"canAddSubscriber": true,
"canCommentStory": true,
"canEarn": true,
"canLookStory": true,
"canPayInternal": true,
"canReceiveChatMessage": true,
"canReport": true,
"canRestrict": true,
"canTrialSend": true,
"canUnsubscribe": true,
"currentSubscribePrice": 123,
"displayName": "<string>",
"hasNotViewedStory": true,
"hasScheduledStream": true,
"hasStories": true,
"hasStream": true,
"header": "<string>",
"headerSize": {
"height": 123,
"width": 123
},
"headerThumbs": {
"w480": "<string>",
"w760": "<string>"
},
"hideChat": true,
"id": 123,
"isActive": true,
"isBlocked": true,
"isPaywallRequired": true,
"isPendingAutoprolong": true,
"isPerformer": true,
"isRealPerformer": true,
"isRestricted": true,
"isVerified": true,
"lastSeen": "<string>",
"listsStates": [
{
"canAddUser": true,
"cannotAddUserReason": "<string>",
"hasUser": true,
"id": "<string>",
"name": "<string>",
"type": "<string>"
}
],
"name": "<string>",
"notice": "<string>",
"subscribedBy": true,
"subscribedByAutoprolong": true,
"subscribedByData": {
"discountFinishedAt": null,
"discountPercent": 123,
"discountPeriod": 123,
"discountStartedAt": null,
"duration": "<string>",
"expiredAt": "<string>",
"hasActivePaidSubscriptions": true,
"isMuted": true,
"newPostsAfterExpireCount": 123,
"newPrice": 123,
"price": 123,
"regularPrice": 123,
"renewedAt": "<string>",
"showPostsInFeed": true,
"status": "<string>",
"subscribeAt": "<string>",
"subscribePrice": 123,
"subscribes": [
{
"action": "<string>",
"cancelDate": null,
"date": "<string>",
"discount": 123,
"duration": 123,
"earningId": 123,
"expireDate": "<string>",
"id": 123,
"isCurrent": true,
"offerEnd": "<string>",
"offerStart": "<string>",
"price": 123,
"regularPrice": 123,
"startDate": "<string>",
"subscriberId": 123,
"type": "<string>",
"userId": 123
}
],
"unsubscribeReason": "<string>"
},
"subscribedByExpire": true,
"subscribedByExpireDate": "<string>",
"subscribedIsExpiredNow": true,
"subscribedOn": true,
"subscribedOnData": {
"discountFinishedAt": "<string>",
"discountPercent": 123,
"discountPeriod": 123,
"discountStartedAt": "<string>",
"duration": "<string>",
"expiredAt": "<string>",
"hasActivePaidSubscriptions": true,
"isMuted": true,
"messagesSumm": 123,
"newPrice": 123,
"postsSumm": 123,
"price": 123,
"regularPrice": 123,
"renewedAt": "<string>",
"status": "<string>",
"streamsSumm": 123,
"subscribeAt": "<string>",
"subscribePrice": 123,
"subscribes": [
{
"action": "<string>",
"cancelDate": null,
"date": "<string>",
"discount": 123,
"duration": 123,
"earningId": 123,
"expireDate": "<string>",
"id": 123,
"isCurrent": true,
"offerEnd": "<string>",
"offerStart": "<string>",
"price": 123,
"regularPrice": 123,
"startDate": "<string>",
"subscriberId": 123,
"type": "<string>",
"userId": 123
}
],
"subscribesSumm": 123,
"tipsSumm": 123,
"totalSumm": 123,
"unsubscribeReason": "<string>"
},
"subscribedOnDuration": "<string>",
"subscribedOnExpiredNow": true,
"subscribePrice": 123,
"subscriptionBundles": [
{
"canBuy": true,
"discount": 123,
"duration": 123,
"id": 123,
"price": 123
}
],
"tipsEnabled": true,
"tipsMax": 123,
"tipsMin": 123,
"tipsMinInternal": 123,
"tipsTextEnabled": true,
"username": "<string>"
}
],
"page": {
"nextCursor": "<string>",
"hasMore": true,
"cursor": null
}
}Subscriptions
Expired subscriptions
List creators the linked account used to subscribe to.
Required scope: subscriptions:read
GET
/
v3
/
access
/
subscriptions
/
expired
Expired subscriptions
curl --request GET \
--url https://api.ofauth.com/v3/access/subscriptions/expired \
--header 'Authorization: Bearer <token>' \
--header 'x-linked-account-id: <api-key>'import requests
url = "https://api.ofauth.com/v3/access/subscriptions/expired"
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-linked-account-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ofauth.com/v3/access/subscriptions/expired', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/subscriptions/expired",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/subscriptions/expired"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ofauth.com/v3/access/subscriptions/expired")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/subscriptions/expired")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"avatar": "<string>",
"avatarThumbs": {
"c144": "<string>",
"c50": "<string>"
},
"canAddSubscriber": true,
"canCommentStory": true,
"canEarn": true,
"canLookStory": true,
"canPayInternal": true,
"canReceiveChatMessage": true,
"canReport": true,
"canRestrict": true,
"canTrialSend": true,
"canUnsubscribe": true,
"currentSubscribePrice": 123,
"displayName": "<string>",
"hasNotViewedStory": true,
"hasScheduledStream": true,
"hasStories": true,
"hasStream": true,
"header": "<string>",
"headerSize": {
"height": 123,
"width": 123
},
"headerThumbs": {
"w480": "<string>",
"w760": "<string>"
},
"hideChat": true,
"id": 123,
"isActive": true,
"isBlocked": true,
"isPaywallRequired": true,
"isPendingAutoprolong": true,
"isPerformer": true,
"isRealPerformer": true,
"isRestricted": true,
"isVerified": true,
"lastSeen": "<string>",
"listsStates": [
{
"canAddUser": true,
"cannotAddUserReason": "<string>",
"hasUser": true,
"id": "<string>",
"name": "<string>",
"type": "<string>"
}
],
"name": "<string>",
"notice": "<string>",
"subscribedBy": true,
"subscribedByAutoprolong": true,
"subscribedByData": {
"discountFinishedAt": null,
"discountPercent": 123,
"discountPeriod": 123,
"discountStartedAt": null,
"duration": "<string>",
"expiredAt": "<string>",
"hasActivePaidSubscriptions": true,
"isMuted": true,
"newPostsAfterExpireCount": 123,
"newPrice": 123,
"price": 123,
"regularPrice": 123,
"renewedAt": "<string>",
"showPostsInFeed": true,
"status": "<string>",
"subscribeAt": "<string>",
"subscribePrice": 123,
"subscribes": [
{
"action": "<string>",
"cancelDate": null,
"date": "<string>",
"discount": 123,
"duration": 123,
"earningId": 123,
"expireDate": "<string>",
"id": 123,
"isCurrent": true,
"offerEnd": "<string>",
"offerStart": "<string>",
"price": 123,
"regularPrice": 123,
"startDate": "<string>",
"subscriberId": 123,
"type": "<string>",
"userId": 123
}
],
"unsubscribeReason": "<string>"
},
"subscribedByExpire": true,
"subscribedByExpireDate": "<string>",
"subscribedIsExpiredNow": true,
"subscribedOn": true,
"subscribedOnData": {
"discountFinishedAt": "<string>",
"discountPercent": 123,
"discountPeriod": 123,
"discountStartedAt": "<string>",
"duration": "<string>",
"expiredAt": "<string>",
"hasActivePaidSubscriptions": true,
"isMuted": true,
"messagesSumm": 123,
"newPrice": 123,
"postsSumm": 123,
"price": 123,
"regularPrice": 123,
"renewedAt": "<string>",
"status": "<string>",
"streamsSumm": 123,
"subscribeAt": "<string>",
"subscribePrice": 123,
"subscribes": [
{
"action": "<string>",
"cancelDate": null,
"date": "<string>",
"discount": 123,
"duration": 123,
"earningId": 123,
"expireDate": "<string>",
"id": 123,
"isCurrent": true,
"offerEnd": "<string>",
"offerStart": "<string>",
"price": 123,
"regularPrice": 123,
"startDate": "<string>",
"subscriberId": 123,
"type": "<string>",
"userId": 123
}
],
"subscribesSumm": 123,
"tipsSumm": 123,
"totalSumm": 123,
"unsubscribeReason": "<string>"
},
"subscribedOnDuration": "<string>",
"subscribedOnExpiredNow": true,
"subscribePrice": 123,
"subscriptionBundles": [
{
"canBuy": true,
"discount": 123,
"duration": 123,
"id": 123,
"price": 123
}
],
"tipsEnabled": true,
"tipsMax": 123,
"tipsMin": 123,
"tipsMinInternal": 123,
"tipsTextEnabled": true,
"username": "<string>"
}
],
"page": {
"nextCursor": "<string>",
"hasMore": true,
"cursor": null
}
}Authorizations
Headers
Query Parameters
Was this page helpful?